<template lang="pug">
  div.lc-project
    a(v-if="prj.external" target="_blank" rel="noopener noreferrer" :href="prj.url")
      div.ui.segment.stacked.inverted.lc-project-item
        div.column
          div.ui.two.column.stackable.grid
            div.ui.one.wide.column
              img.ui.tiny.image.inverted(:src="prj.image")
            div.ui.fourteen.wide.column
              p.lc-project-title
                | {{ prj.name }}
                span.lc-project-author
                  | by {{ prj.dev.name }}
                i.external.alternate.icon
              h4 {{ prj.tagline }}
    router-link(v-else tag="a" :to="prj.url")
      div.ui.segment.stacked.inverted.lc-project-item
        div.column
          div.ui.two.column.stackable.grid
            div.ui.one.wide.column
              img.ui.tiny.image.inverted(:src="prj.image")
            div.ui.fourteen.wide.column
              p.lc-project-title
                | {{ prj.name }}
                span.lc-project-author
                  | by {{prj.dev.name}}
              h4 {{ prj.tagline }}
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import { Project } from '@/data/projects'

import 'semantic-ui-css/components/segment.min.css'
import 'semantic-ui-css/components/grid.min.css'

@Component
export default class LCProject extends Vue {
  @Prop() readonly prj!: Project
}
</script>

<style lang="stylus" scoped>
.ui.tiny.image.inverted
  margin: 0.75rem 0
  border-radius: 10px

.ui.segment:last-child, .ui.segment:first-child
  margin-top: 14px
  margin-bottom: 14px

.lc-project-item
  transition: box-shadow .15s ease-in-out
  -o-transition:.5s
  -ms-transition:.5s
  -moz-transition:.5s
  -webkit-transition:.5s
  transition:.5s
  &:hover
    cursor: pointer

.external.alternate.icon
  font-size: 12px
  padding-left: 0.5em

.lc-project-author
  padding-left: 5px
  font-size: 10px

.lc-project-title
  font-size: 16px
</style>
